Summary:	VAAPI (Video Acceleration API)
Summary(pl.UTF-8):	VAAPI (Video Acceleration API) - API akceleracji filmów
Name:		libva
Version:	1.2.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://www.freedesktop.org/software/vaapi/releases/libva/%{name}-%{version}.tar.bz2
# Source0-md5:	ca95b343050cf8feaf98dfe08ce0191b
URL:		http://www.freedesktop.org/wiki/Software/vaapi
BuildRequires:	Mesa-libEGL-devel
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4
BuildRequires:	libtool
BuildRequires:	pkgconfig
# wayland-client
BuildRequires:	wayland-devel >= 1.0.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main motivation for VAAPI (Video Acceleration API) is to enable
hardware accelerated video decode/encode at various entry-points (VLD,
IDCT, Motion Compensation etc.) for the prevailing coding standards
today (MPEG-2, MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/VMW3).

%description -l pl.UTF-8
Głównym celem API akceleracji filmów VAAPI (Video Acceleration API)
jest umożliwienie sprzętowej akceleracji dekodowania/kodowania filmów
na różnych etapach (VLD, IDCT, kompensacja ruchu itp.) dla obecnie
przeważających standardów kodowania (MPEG-2, MPEG-4 ASP/H.263, MPEG-4
AVC/H.264, VC-1/VMW3).

%package devel
Summary:	Header files for libva libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libva
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libva libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libva.

%package static
Summary:	Static libva libraries
Summary(pl.UTF-8):	Statyczne biblioteki libva
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libva libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libva.

%package drm
Summary:	VAAPI - DRM interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu DRM
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdrm >= 2.4

%description drm
VAAPI - DRM interface library.

%description drm -l pl.UTF-8
VAAPI - biblioteka interfejsu DRM.

%package drm-devel
Summary:	Header files for VAAPI DRM interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu DRM VAAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-drm = %{version}-%{release}
Requires:	libdrm-devel >= 2.4

%description drm-devel
Header files for VAAPI DRM interface library.

%description drm-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu DRM VAAPI.

%package drm-static
Summary:	VAAPI - DRM interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu DRM
Group:		Development/Libraries
Requires:	%{name}-drm-devel = %{version}-%{release}

%description drm-static
VAAPI - DRM interface static library.

%description drm-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu DRM.

%package egl
Summary:	VAAPI - EGL interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu EGL
Group:		Libraries
Requires:	%{name}-x11 = %{version}-%{release}

%description egl
VAAPI - EGL interface library.

%description egl -l pl.UTF-8
VAAPI - biblioteka interfejsu EGL.

%package egl-devel
Summary:	Header files for VAAPI EGL interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu EGL VAAPI
Group:		Development/Libraries
Requires:	%{name}-egl = %{version}-%{release}
Requires:	%{name}-x11-devel = %{version}-%{release}
Requires:	EGL-devel

%description egl-devel
Header files for VAAPI EGL interface library.

%description egl-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu EGL VAAPI.

%package egl-static
Summary:	VAAPI - EGL interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu EGL
Group:		Development/Libraries
Requires:	%{name}-egl-devel = %{version}-%{release}

%description egl-static
VAAPI - EGL interface static library.

%description egl-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu EGL.

%package glx
Summary:	VAAPI - GLX interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu GLX
Group:		Libraries
Requires:	%{name}-x11 = %{version}-%{release}

%description glx
VAAPI - GLX interface library.

%description glx -l pl.UTF-8
VAAPI - biblioteka interfejsu GLX.

%package glx-devel
Summary:	Header files for VAAPI GLX interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu GLX VAAPI
Group:		Development/Libraries
Requires:	%{name}-glx = %{version}-%{release}
Requires:	%{name}-x11-devel = %{version}-%{release}
Requires:	OpenGL-GLX-devel

%description glx-devel
Header files for VAAPI GLX interface library.

%description glx-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu GLX VAAPI.

%package glx-static
Summary:	VAAPI - GLX interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu GLX
Group:		Development/Libraries
Requires:	%{name}-glx-devel = %{version}-%{release}

%description glx-static
VAAPI - GLX interface static library.

%description glx-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu GLX.

%package wayland
Summary:	VAAPI - Wayland interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu Wayland
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	wayland >= 1.0.0

%description wayland
VAAPI - Wayland interface library.

%description wayland -l pl.UTF-8
VAAPI - biblioteka interfejsu Wayland.

%package wayland-devel
Summary:	Header files for VAAPI Wayland interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu Wayland VAAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-wayland = %{version}-%{release}
Requires:	wayland-devel >= 1.0.0

%description wayland-devel
Header files for VAAPI Wayland interface library.

%description wayland-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu Wayland VAAPI.

%package wayland-static
Summary:	VAAPI - Wayland interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu Wayland
Group:		Development/Libraries
Requires:	%{name}-wayland-devel = %{version}-%{release}

%description wayland-static
VAAPI - Wayland interface static library.

%description wayland-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu Wayland.

%package x11
Summary:	VAAPI - X11 interface library
Summary(pl.UTF-8):	VAAPI - biblioteka interfejsu X11
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdrm >= 2.4

%description x11
VAAPI - X11 interface library.

%description x11 -l pl.UTF-8
VAAPI - biblioteka interfejsu X11.

%package x11-devel
Summary:	Header files for VAAPI X11 interface library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki interfejsu X11 VAAPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}
Requires:	libdrm-devel >= 2.4
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel

%description x11-devel
Header files for VAAPI X11 interface library.

%description x11-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki interfejsu X11 VAAPI.

%package x11-static
Summary:	VAAPI - X11 interface static library
Summary(pl.UTF-8):	VAAPI - statyczna biblioteka interfejsu X11
Group:		Development/Libraries
Requires:	%{name}-x11-devel = %{version}-%{release}

%description x11-static
VAAPI - X11 interface static library.

%description x11-static -l pl.UTF-8
VAAPI - statyczna biblioteka interfejsu X11.

%package tools
Summary:	VAAPI test and example programs
Summary(pl.UTF-8):	Programy testowe i przykładowe do VAAPI
Group:		Applications/Graphics
Requires:	%{name}-drm = %{version}-%{release}
Requires:	%{name}-wayland = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}

%description tools
VAAPI test and example programs.

%description tools -l pl.UTF-8
Programy testowe i przykładowe do VAAPI.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static \
	--with-drivers-path=%{_libdir}/%{name}/dri

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/dri/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	drm -p /sbin/ldconfig
%postun	drm -p /sbin/ldconfig

%post	egl -p /sbin/ldconfig
%postun	egl -p /sbin/ldconfig

%post	glx -p /sbin/ldconfig
%postun	glx -p /sbin/ldconfig

%post	wayland -p /sbin/ldconfig
%postun	wayland -p /sbin/ldconfig

%post	x11 -p /sbin/ldconfig
%postun	x11 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_libdir}/libva.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva.so.1
%attr(755,root,root) %{_libdir}/libva-tpi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-tpi.so.1
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/dri
%attr(755,root,root) %{_libdir}/%{name}/dri/dummy_drv_video.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva.so
%attr(755,root,root) %{_libdir}/libva-tpi.so
%{_libdir}/libva.la
%{_libdir}/libva-tpi.la
%dir %{_includedir}/va
%{_includedir}/va/va.h
%{_includedir}/va/va_backend.h
%{_includedir}/va/va_backend_tpi.h
%{_includedir}/va/va_backend_vpp.h
%{_includedir}/va/va_compat.h
%{_includedir}/va/va_dec_jpeg.h
%{_includedir}/va/va_drmcommon.h
%{_includedir}/va/va_enc_h264.h
%{_includedir}/va/va_enc_mpeg2.h
%{_includedir}/va/va_tpi.h
%{_includedir}/va/va_version.h
%{_includedir}/va/va_vpp.h
%{_pkgconfigdir}/libva.pc
%{_pkgconfigdir}/libva-tpi.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libva.a
%{_libdir}/libva-tpi.a

%files drm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-drm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-drm.so.1

%files drm-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-drm.so
%{_libdir}/libva-drm.la
%{_includedir}/va/va_drm.h
%{_pkgconfigdir}/libva-drm.pc

%files drm-static
%defattr(644,root,root,755)
%{_libdir}/libva-drm.a

%files egl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-egl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-egl.so.1

%files egl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-egl.so
%{_libdir}/libva-egl.la
%{_includedir}/va/va_backend_egl.h
%{_includedir}/va/va_egl.h
%{_pkgconfigdir}/libva-egl.pc

%files egl-static
%defattr(644,root,root,755)
%{_libdir}/libva-egl.a

%files glx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-glx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-glx.so.1

%files glx-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-glx.so
%{_libdir}/libva-glx.la
%{_includedir}/va/va_backend_glx.h
%{_includedir}/va/va_glx.h
%{_pkgconfigdir}/libva-glx.pc

%files glx-static
%defattr(644,root,root,755)
%{_libdir}/libva-glx.a

%files wayland
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/putsurface_wayland
%attr(755,root,root) %{_libdir}/libva-wayland.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-wayland.so.1

%files wayland-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-wayland.so
%{_libdir}/libva-wayland.la
%{_includedir}/va/va_backend_wayland.h
%{_includedir}/va/va_wayland.h
%{_pkgconfigdir}/libva-wayland.pc

%files wayland-static
%defattr(644,root,root,755)
%{_libdir}/libva-wayland.a

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/h264encode
%attr(755,root,root) %{_bindir}/putsurface
%attr(755,root,root) %{_libdir}/libva-x11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libva-x11.so.1

%files x11-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libva-x11.so
%{_libdir}/libva-x11.la
%{_includedir}/va/va_dri2.h
%{_includedir}/va/va_dricommon.h
%{_includedir}/va/va_x11.h
%{_pkgconfigdir}/libva-x11.pc

%files x11-static
%defattr(644,root,root,755)
%{_libdir}/libva-x11.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avcenc
%attr(755,root,root) %{_bindir}/loadjpeg
%attr(755,root,root) %{_bindir}/mpeg2vaenc
%attr(755,root,root) %{_bindir}/mpeg2vldemo
%attr(755,root,root) %{_bindir}/vainfo
%changelog
* Fri Jun 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libva.git;a=log;h=master

* Fri Jun 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a6d2898
- up to 1.2.1

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 481d56b
- updated to 1.1.1
- removed obsolete am,wayland patch

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 3a6aef7
- sepated -tools which require multiple interface libraries

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> e299214
- updated to 1.1.0; new source URL
- added am patch (fixes build with automake 1.13)
- added wayland patch (update for Wayland 1.0 API from libva git)
- fine-grained split (separated interfaces with external dependencies)

* Sat Nov 05 2011 Jakub Bogusz <qboosh@pld-linux.org> b539689
- updated to 1.0.15
- intel driver moved to separate package (libva-driver-intel.spec)

* Tue Aug 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 1dedad5
- updated to 1.0.14

* Sat Jun 04 2011 Jakub Bogusz <qboosh@pld-linux.org> ae7422c
- updated to 1.0.13

* Mon Apr 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 68f51b4
- updated to 1.0.12

* Tue Mar 29 2011 Elan Ruusamäe <glen@pld-linux.org> 6226183
- up to 1.0.11

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> d7316b2
- updated to 1.0.10
- added i965 patch (build fix)
- package new egl library

* Tue Jan 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 7275ddd
- updated to 1.0.8

* Thu Jan 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 7b9231e
- updated to 1.0.7

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 7a7f618
- updated to 1.0.6
- pl

* Thu Sep 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a5134b9
- up to 1.0.5

* Thu Aug 26 2010 Karol Krenski <charles@pld-linux.org> 154de1a
- updated to 1.0.4
- updated BRs; removed TODO

* Sat Jun 19 2010 Szymon Siwek <sls@pld-linux.org> 2514cae
- added TODO

* Sat Jun 19 2010 Szymon Siwek <sls@pld-linux.org> f164660
- BR: libdrm-devel >= 2.4.21

* Fri Jun 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b224f4
- up to 1.0.3

* Fri Nov 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cf8ad70
- initial

